Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jsxe
Interface DocumentBufferListener

public interface DocumentBufferListener

Defines an interface for objects that are notified when DocumentBuffers have changed.

Version:
  $Id: DocumentBufferListener.java 914 2006-06-08 16:01:14Z ian_lewis $
Author:
  Ian Lewis (IanLewis@member.fsf.org)
See Also:
  `DocumentBuffer`

Method Summary
`void` | `bufferSaved(DocumentBuffer source)` Called whenever the buffer is saved.
`void` | `nameChanged(DocumentBuffer source, String newName)` Called whenever the buffers name has changed
`void` | `statusChanged(DocumentBuffer source, int statusType, boolean oldStatus)` Called whenever a status for the buffer has changed such as read-only status or dirty status.

Method Detail

### nameChanged

    public void nameChanged(DocumentBuffer source,
                            String newName)

  Called whenever the buffers name has changed

  Parameters:
    `source` - the source DocumentBuffer whose name has changed
    `newName` - the new name of the buffer

### bufferSaved

    public void bufferSaved(DocumentBuffer source)

  Called whenever the buffer is saved.

  Parameters:
    `source` - source buffer that was saved

### statusChanged

    public void statusChanged(DocumentBuffer source,
                              int statusType,
                              boolean oldStatus)

  Called whenever a status for the buffer has changed such as read-only status or dirty status. The new status can be obtained by querying the source document via the `DocumentBuffer.getStatus(int)` method.

  Parameters:
    `source` - the source document
    `statusType` - the status type that changed
    `oldStatus` - the old status

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD